Transactions

Transactions will be the main API endpoint you’ll be interacting with. Make remittances/payments to different banks, remittance centers, and other institutions via this endpoint.

Use the following endpoint to get updates on the transactions. See this POST call:

curl -X POST 'https://www.bloomremit.net/message-bus/x/poll?dlp=t' -H 'Authorization: Basic MTox' -d %2Fv2%2Ftx_events=-50
  • MTox is your partner_id:partner_api_secret in base64 without newlines or spaces.
  • %2Fv2%2Ftx_events or /v2/tx_events is set to -50 in the example, and this will return the last 49 events.

You may use https://github.com/SamSaffron/message_bus if you’re in Ruby, JS, or if you want to learn more.

Here’s a sample response:

[
  {
    "global_id": 68510299,
    "message_id": 10385646,
    "channel": "/v2/tx_events",
    "data": [
      {
        "id": "76aae98f-bee1-4b83-9d51-1e4df2e2a3d9",
        "recipient_id": "0cdb19c8-f2f7-4aba-95b3-7cefe5279b59",
        "dest_currency": "PHP",
        "receivable_in_dest_currency": 1000,
        "payout_method": "CLH",
        "status": "waiting",
        "account_name": "Michael Jordan",
        "account_number": "0292881777",
        "tracking_sender": "Chase Patrol",
        "tracking_number": "BLMKAMLUWAH",
        "client_external_id": "3d9b91de-ba55-4f76-999b-ab8339963086",
        "purpose": "Help",
        "sender_first_name": "Chase",
        "sender_last_name": "Patrol",
        "sender_email": "chase@pawpatrol.com",
        "sender_address": "1 Lookout",
        "sender_city": "Adventure Bay",
        "sender_state": "Adventure State",
        "sender_zip_code": "12323",
        "sender_country": "Adventure Country",
        "sender_occupation": "Rescue pup",
        "recipient_first_name": "Michael",
        "recipient_last_name": "Jordan",
        "recipient_email": "michael@jordan.org",
        "recipient_mobile": "09191234567",
        "recipient_address": "21 Jump St",
        "recipient_city": "Washington City",
        "recipient_state": "WA",
        "recipient_zip_code": "12345",
        "recipient_country": "USA",
        "recipient_occupation": "Baseball player",
        "recipient_relationship_to_sender": "Idol",
        "orig_currency": "BTC",
        "paid_in_orig_currency": 0.21
      }
    ]
  }
]

Headers

Header name Description
X-API-PARTNER-ID
required
Your organization's ID
X-API-SECRET
required
API secret of your organization

Get transaction information

GET /api/v2/txns/:id

Examples

{
  "id": "cf0860b0-d9b3-4803-b521-fbeee881ff80",
  "recipient_id": "f76ade9d-e023-4942-a276-d8cc82d464e0",
  "dest_currency": "PHP",
  "receivable_in_dest_currency": 1000,
  "payout_method": "CLH",
  "status": "waiting",
  "account_name": "Michael Jordan",
  "account_number": "0292881777",
  "tracking_sender": "Chase Patrol",
  "tracking_number": "BLMKAMLUWAH",
  "client_external_id": "a09d77d0-ecce-4fc8-b49c-3e390b48e9a7",
  "purpose": "Help",
  "sender_first_name": "Chase",
  "sender_last_name": "Patrol",
  "sender_email": "chase@pawpatrol.com",
  "sender_address": "1 Lookout",
  "sender_city": "Adventure Bay",
  "sender_state": "Adventure State",
  "sender_zip_code": "12323",
  "sender_country": "Adventure Country",
  "sender_occupation": "Rescue pup",
  "recipient_first_name": "Michael",
  "recipient_last_name": "Jordan",
  "recipient_email": "michael@jordan.org",
  "recipient_mobile": "09191234567",
  "recipient_address": "21 Jump St",
  "recipient_city": "Washington City",
  "recipient_state": "WA",
  "recipient_zip_code": "12345",
  "recipient_country": "USA",
  "recipient_occupation": "Baseball player",
  "recipient_relationship_to_sender": "Idol",
  "orig_currency": "BTC",
  "paid_in_orig_currency": 0.21
}

Request Parameters

NameTypeDescription
id
required
Value:

Must be a String


Create transactions

POST /api/v2/txns

Examples

Sample response:
{
  "txn": {
    "id": "df03a68f-d5bd-4221-aa16-6e46f48f4e65",
    "recipient_id": "0ad25748-b559-4279-9018-0ec570c097b6",
    "dest_currency": "PHP",
    "receivable_in_dest_currency": 1000,
    "payout_method": "CLH",
    "status": "waiting",
    "account_name": "Michael Jordan",
    "account_number": "0292881777",
    "tracking_sender": "Chase Patrol",
    "tracking_number": "BLMKAMLUWAH",
    "client_external_id": "512e1f5c-80be-4eeb-9f70-bc95eec31fd1",
    "purpose": "Help",
    "sender_first_name": "Chase",
    "sender_last_name": "Patrol",
    "sender_email": "chase@pawpatrol.com",
    "sender_address": "1 Lookout",
    "sender_city": "Adventure Bay",
    "sender_state": "Adventure State",
    "sender_zip_code": "12323",
    "sender_country": "Adventure Country",
    "sender_occupation": "Rescue pup",
    "recipient_first_name": "Michael",
    "recipient_last_name": "Jordan",
    "recipient_email": "michael@jordan.org",
    "recipient_mobile": "09191234567",
    "recipient_address": "21 Jump St",
    "recipient_city": "Washington City",
    "recipient_state": "WA",
    "recipient_zip_code": "12345",
    "recipient_country": "USA",
    "recipient_occupation": "Baseball player",
    "recipient_relationship_to_sender": "Idol",
    "orig_currency": "BTC",
    "paid_in_orig_currency": 0.21
  }
}

Request Parameters

NameTypeDescription
txn
required
Value:

Must be a Hash

txn[sender_first_name]
required
Value:

Must be a String

txn[sender_last_name]
required
Value:

Must be a String

txn[sender_email]
optional
Value:

Must be a String

Required if no mobile is provided

txn[sender_mobile]
optional
Value:

Must be a String

Required if no email is provided. Include country code, i.e. +639172119087

txn[sender_address]
optional
Value:

Must be a String

Street address of sender. Required if depositing to a bank account.

txn[sender_city]
required
Value:

Must be a String

txn[sender_state]
required
Value:

Must be a String

State/province of the sender

txn[sender_zip_code]
optional
Value:

Must be a String

Required if depositing to a bank account

txn[sender_country]
required
Value:

Must be a String

txn[sender_occupation]
required
Value:

Must be a String

txn[recipient_first_name]
required
Value:

Must be a String

txn[recipient_last_name]
required
Value:

Must be a String

txn[recipient_email]
optional
Value:

Must be a String

Required if recipient mobile is blank

txn[recipient_mobile]
optional
Value:

Must be a String

Include country code, i.e. +639172119087; required if recipient email is blank

txn[recipient_address]
optional
Value:

Must be a String

Street address of recipient. Required if depositing to a bank account.

txn[recipient_city]
required
Value:

Must be a String

txn[recipient_state]
required
Value:

Must be a String

State/province of the recipient

txn[recipient_zip_code]
optional
Value:

Must be a String

Required if depositing to a bank account

txn[recipient_country]
required
Value:

Must be a String

txn[recipient_occupation]
required
Value:

Must be a String

txn[recipient_relationship_to_sender]
required
Value:

Must be a String

‘Father’ if recipient is the father of the sender

txn[dest_currency]
required
Value:

Must be a String

ISO 4217 currency code that Bloom and the payout method supports, i.e. PHP

txn[receivable_in_dest_currency]
required
Value:

Must be a String

Amount the recipient is to receive

txn[payout_method]
required
Value:

Must be a String

Bank/remittance center where this will be sent. See /developers/1/static

txn[purpose]
required
Value:

Must be a String

txn[account_number]
optional
Value:

Must be a String

Only for bank deposits

txn[account_name]
optional
Value:

Must be a String

Only for bank deposits

txn[client_external_id]
required
Value:

Must be a String

Unique ID that you use to refer to this transaction

txn[orig_currency]
optional
Value:

Must be a String

Origin currency (tracking purposes only)

txn[paid_in_orig_currency]
optional
Value:

Must be a String

Origin currency amount (tracking purposes only)